# coding: utf-8

# flake8: noqa
"""
    DLCM-Solution

    DLCM application wrapping all modules, All-In-One  # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Contact: eresearch-opensource@unige.ch
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

# import models into model package
from dlcmapi_client.models.access import Access
from dlcmapi_client.models.access_organizational_unit import AccessOrganizationalUnit
from dlcmapi_client.models.admin import Admin
from dlcmapi_client.models.aip import Aip
from dlcmapi_client.models.aip_checksum_check import AipChecksumCheck
from dlcmapi_client.models.aip_file_format import AipFileFormat
from dlcmapi_client.models.aip_info import AipInfo
from dlcmapi_client.models.aip_info_embargo import AipInfoEmbargo
from dlcmapi_client.models.aip_virus_check import AipVirusCheck
from dlcmapi_client.models.application import Application
from dlcmapi_client.models.application_role import ApplicationRole
from dlcmapi_client.models.archival_storage import ArchivalStorage
from dlcmapi_client.models.archive_acl import ArchiveAcl
from dlcmapi_client.models.archive_acl_organizational_unit import ArchiveAclOrganizationalUnit
from dlcmapi_client.models.archive_acl_user import ArchiveAclUser
from dlcmapi_client.models.archive_rating import ArchiveRating
from dlcmapi_client.models.archive_rating_rating_type import ArchiveRatingRatingType
from dlcmapi_client.models.archive_rating_user import ArchiveRatingUser
from dlcmapi_client.models.archive_statistics import ArchiveStatistics
from dlcmapi_client.models.archive_type import ArchiveType
from dlcmapi_client.models.change_info import ChangeInfo
from dlcmapi_client.models.collection import Collection
from dlcmapi_client.models.contributor import Contributor
from dlcmapi_client.models.data_mgmt import DataMgmt
from dlcmapi_client.models.deposit import Deposit
from dlcmapi_client.models.dip import Dip
from dlcmapi_client.models.dissemination_policy import DisseminationPolicy
from dlcmapi_client.models.funding_agency import FundingAgency
from dlcmapi_client.models.index import Index
from dlcmapi_client.models.index_field_alias import IndexFieldAlias
from dlcmapi_client.models.ingest import Ingest
from dlcmapi_client.models.institution import Institution
from dlcmapi_client.models.language import Language
from dlcmapi_client.models.licens import Licens
from dlcmapi_client.models.metadata import Metadata
from dlcmapi_client.models.metadata_type import MetadataType
from dlcmapi_client.models.module import Module
from dlcmapi_client.models.notification import Notification
from dlcmapi_client.models.notification_notification_type import NotificationNotificationType
from dlcmapi_client.models.notification_notified_org_unit import NotificationNotifiedOrgUnit
from dlcmapi_client.models.notification_recipient import NotificationRecipient
from dlcmapi_client.models.oai_info import OaiInfo
from dlcmapi_client.models.oai_metadata_prefixe import OaiMetadataPrefixe
from dlcmapi_client.models.oai_set import OaiSet
from dlcmapi_client.models.order import Order
from dlcmapi_client.models.organizational_unit import OrganizationalUnit
from dlcmapi_client.models.page import Page
from dlcmapi_client.models.person import Person
from dlcmapi_client.models.preingest import Preingest
from dlcmapi_client.models.preservation_job import PreservationJob
from dlcmapi_client.models.preservation_job_scheduling import PreservationJobScheduling
from dlcmapi_client.models.preservation_planning import PreservationPlanning
from dlcmapi_client.models.preservation_policy import PreservationPolicy
from dlcmapi_client.models.rating_type import RatingType
from dlcmapi_client.models.research_domain import ResearchDomain
from dlcmapi_client.models.role import Role
from dlcmapi_client.models.scheduled_task import ScheduledTask
from dlcmapi_client.models.sip import Sip
from dlcmapi_client.models.submission_agreement import SubmissionAgreement
from dlcmapi_client.models.submission_policy import SubmissionPolicy
from dlcmapi_client.models.system_property import SystemProperty
from dlcmapi_client.models.user import User
